Skip to main content
POST
/
v2
/
admin
/
reporting
/
calls
/
logs
Admin Call Logs
curl --request POST \
  --url https://api.voxo.co/v2/admin/reporting/calls/logs \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "tenantId": 1,
  "startDate": "<string>",
  "endDate": "<string>"
}
'
{
  "records": [
    {
      "callId": "<string>",
      "startTime": "<string>",
      "endTime": "<string>",
      "direction": "<string>",
      "cidNum": "<string>",
      "cidName": "<string>",
      "dialedNum": "<string>",
      "dialedName": "<string>",
      "disposition": "<string>",
      "outcome": 123,
      "outcomeName": "<string>",
      "peerName": "<string>",
      "recorded": true,
      "isTollFree": true,
      "isInternational": true,
      "tag": [
        "<string>"
      ]
    }
  ],
  "total": 123,
  "page": 123,
  "maxPage": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
tenantId
number
required

Tenant ID

Required range: x > 0
startDate
string
required

Start date for the report period

endDate
string
required

End date for the report period

recordsPerPage
number

Number of records per page

page
number

Page number

direction

Call direction filter (IN or OUT)

Available options:
IN
tag
string[]

Filter by call tags

Minimum array length: 1
callOutcome
number[]

Filter by call outcome IDs

Minimum array length: 1
users

Filter by user peer names, or 'ALL' for all users

groups
object[]

Filter by groups (queue, huntlist, or branch)

reportType

Report type (Scheduled, Export, or Live)

Available options:
Scheduled
recorded
boolean

Filter by recorded calls only

cidNum
string

Filter by caller ID number

Response

Paginated call logs or export acknowledgement

Paginated call logs

records
object[]
required

Call log records

total
number
required

Total number of matching records

page
number
required

Current page number

maxPage
number
required

Maximum page number